# civi3cx

3CX PBX integration for CiviCRM. Makes it possible to log calls and lookup contacts
in CiviCRM.

The extension is licensed under [AGPL-3.0](LICENSE.txt).

## Requirements

* PHP v7.2+
* CiviCRM 5.40 or later

## Installation

* Enable the CiviCRM extension
* Use the 3CX CRM wizard to generate the XML for your PBX
  * Authentication method: Basic and using API Key
  * Lookup by Number API: https://crm.example.org/civicrm/3cx/search?number=[Number]
  * Lookup by Email API: https://crm.example.org/civicrm/3cx/search?email=[Email]
  * Map query responses: use the examples shown on screen, ex: `contact.id`, `contact.firstname`, etc, including `contact.customvalue`
  * For the Contact URL, select "Get the URL from the server response", and then `contact.url`.
  * For now, contact creation and journaling are not implemented.

## About the 3CX API

* https://www.3cx.com/docs/server-side-crm-template-xml-description/

## Getting Started

(* FIXME: Where would a new user navigate to get started? What changes would they see? *)

## Support

Please post bug reports in the issue tracker of this project:  
https://lab.civicrm.org/extensions/civi3cx/issues

Commercial support is available through Coop SymbioTIC:  
https://www.symbiotic.coop/en

Coop Symbiotic is a worker-owned co-operative based in Canada. We have a strong
experience working with non-profits and CiviCRM. We provide affordable, fast,
turn-key hosting with regular upgrades and proactive monitoring, as well as
custom development and training.
